=== debian/tests/control ===
Tests: testsuite
Depends: lava-server, django-testscenarios, python-tz, tftpd-hpa, git,
 qemu-system-x86, nfs-kernel-server, u-boot-tools
Restrictions: allow-stderr, needs-root
