## lava-server 2017.12.post1

=== debian/changelog ===
lava-server (2017.12.post1-1) unstable; urgency=medium

  * Hot fix release
    2e00544f LAVA-1168 - LAVA job visibility bug
    341f5dfa LAVA-1171 - Show 403 instead of 404
    31b7b2a9 Fix "lava-server manage workers add"

 -- Neil Williams <codehelp@debian.org>  Fri, 08 Dec 2017 14:32:43 +0000
