=== debian/rules ===
--- 
+++ 
@@ -59,10 +59,6 @@
 	dh_systemd_start --name lava-publisher
 	dh_systemd_start --name lava-master
 
-override_dh_installdocs:
-	dh_installdocs
-	find debian/lava-server-doc/usr/ -type d -empty -delete
-
 override_dh_installinit:
 	dh_installinit -Nlava-server
