=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev, po-debconf,
+ python3 | python3-all | python3-dev | python3-all-dev,
  python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme,
- python-setuptools (>= 3), python-yaml
+ python-setuptools (>= 3), python-yaml,
+ python3-setuptools (>= 3), python3-yaml
 X-Python-Version: 2.7
-Standards-Version: 4.1.1
-Homepage: http://www.linaro.org/projects/test-validation/
+Standards-Version: 4.1.3
+Homepage: https://www.linaro.org/initiatives/lava/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-server
 
@@ -29,8 +31,8 @@
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common, systemd-sysv,
- lava-dispatcher (>= 2017.12),
- ${python:Depends}, ${misc:Depends}
+ lava-dispatcher (>= 2018.1),
+ ${python:Depends}, ${python3:Depends}, ${misc:Depends}
 Recommends: fuse, ntp, lava-coordinator, lava-server-doc,
 Suggests: python-django-hijack, python-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
@@ -80,9 +82,11 @@
  libdistro-info-perl, node-uglify, libjs-excanvas, libjs-jquery-cookie,
  libjs-jquery, libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
  libjs-jquery-ui, python | python-all | python-dev | python-all-dev,
+ python3 | python3-all | python3-dev | python3-all-dev, python3-setuptools,
+ python3-guestfs, python3-nose, python3-netifaces, python3-pexpect (>= 4.2),
  pep8 | python-pep8, python-guestfs,  python-nose, python-netifaces,
  python3-sphinx (>= 1.4), python-setuptools, python-pexpect (>= 4.2),
- python3-sphinx-bootstrap-theme, python-zmq, python-yaml,
+ python3-sphinx-bootstrap-theme, python-requests, python-zmq, python-yaml,
  python-voluptuous (>= 0.8.8), docbook-xsl, xsltproc, python-mock,
  ${python:Depends}, ${misc:Depends}
 Recommends: sbuild, python-django-extensions, python-pydot,
