=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 9.20160709), dh-python,
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
- libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
- python | python-all | python-dev | python-all-dev, po-debconf,
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
+ libjs-jquery-ui, po-debconf,
  python3 | python3-all | python3-dev | python3-all-dev,
  python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme,
- python-setuptools (>= 3), python-yaml,
  python3-setuptools (>= 3), python3-yaml
-X-Python-Version: 2.7
+X-Python3-Version: >= 3.5
 Standards-Version: 4.1.3
 Homepage: https://www.linaro.org/initiatives/lava/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
@@ -20,21 +19,16 @@
 
 Package: lava-server
 Architecture: all
-Provides: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
-Conflicts: lava-scheduler, lava-dashboard, linaro-django-xmlrpc,
- python-django-hijack (<= 1.0.10-1), python-django (<< 1.8),
- python-django-auth-openid
-Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
 Pre-Depends: debconf | debconf-2.0
-Depends: apache2, adduser, gunicorn, iproute2, python-tz, python-dateutil,
- python-django (>= 1.8), python-django-auth-ldap, python-setuptools,
+Depends: apache2, adduser, gunicorn3, iproute2, python3-tz, python3-dateutil,
+ python3-django (>= 1.8), python3-django-auth-ldap, python3-setuptools,
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common, systemd-sysv,
- lava-dispatcher (>= 2018.1),
- ${python:Depends}, ${python3:Depends}, ${misc:Depends}
+ lava-dispatcher (>= 2018.4),
+ ${python3:Depends}, ${misc:Depends}
 Recommends: fuse, ntp, lava-coordinator, lava-server-doc,
-Suggests: python-django-hijack, python-django-debug-toolbar
+Suggests: python3-django-hijack, python3-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -51,6 +45,8 @@
  This package no longer supports configuration as a
  remote worker and needs to be removed from existing workers.
  Workers must only install lava-dispatcher.
+ .
+ This package no longer supports Python2.
 
 Package: lava
 Architecture: all
@@ -59,8 +55,7 @@
  lava-dispatcher, lava-coordinator, lava-dev, lava-tool,
  lavapdu-client, ntp | ntpdate, tftpd-hpa, debootstrap (>= 1.0.86~),
  openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon, schroot,
- android-tools-fsutils | img2simg
+Recommends: lavapdu-daemon, schroot, android-tools-fsutils | img2simg
 Suggests: vmdebootstrap
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
@@ -81,16 +76,15 @@
  debootstrap (>= 1.0.86), debhelper (>= 9.20160709), fakeroot, git,
  libdistro-info-perl, node-uglify, libjs-excanvas, libjs-jquery-cookie,
  libjs-jquery, libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-ui, python | python-all | python-dev | python-all-dev,
- python3 | python3-all | python3-dev | python3-all-dev, python3-setuptools,
- python3-guestfs, python3-nose, python3-netifaces, python3-pexpect (>= 4.2),
- pep8 | python-pep8, python-guestfs,  python-nose, python-netifaces,
- python3-sphinx (>= 1.4), python-setuptools, python-pexpect (>= 4.2),
- python3-sphinx-bootstrap-theme, python-requests, python-zmq, python-yaml,
- python-voluptuous (>= 0.8.8), docbook-xsl, xsltproc, python-mock,
- ${python:Depends}, ${misc:Depends}
-Recommends: sbuild, python-django-extensions, python-pydot,
- django-testscenarios
+ libjs-jquery-ui, python3:any,
+ python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
+ python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
+ python3-guestfs,  python3-nose, python3-netifaces,
+ python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
+ python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8),
+ docbook-xsl, xsltproc, ${python3:Depends}, ${misc:Depends}
+Recommends: sbuild, python3-django-extensions, python3-pydot,
+ python3-django-testscenarios
 Description: Linaro Automated Validation Architecture developer support
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -103,9 +97,6 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
-Conflicts: linaro-dashboard-bundle-doc
-Provides: linaro-dashboard-bundle-doc
-Replaces: linaro-dashboard-bundle-doc
 Description: Linaro Automated Validation Architecture documentation
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
