=== debian/tests/control ===
Tests: testsuite
Depends: lava-server, python3-django-testscenarios, python3-tz,
 tftpd-hpa, git, qemu-system-x86, nfs-kernel-server, u-boot-tools
Restrictions: allow-stderr, needs-root
